﻿using System.Linq.Expressions;
using XF.Domain.Entities;

namespace Hotline.Repository.SqlSugar.DataPermissions;

public interface IDataPermissionFilterBuilder
{
    Expression<Func<TEntity, bool>> Build<TEntity>()
        where TEntity : class, IEntity<string>, IDataPermission, new();
}